import 'package:flutter/services.dart';

class PlatformInterface {
  static const MethodChannel _channel = MethodChannel('finotescore');

  static void init() {
    _channel.invokeMethod('init');
  }

  static void customIssue(
      String where, String description, String detailedDescription) {
    _channel
        .invokeMethod('customIssue', [where, description, detailedDescription]);
  }

  static void setActivityMarker(String where, String marker) {
    _channel.invokeMethod('setActivityMarker', [where, marker]);
  }

  static void buildCrashIssue(
      String lineNumber, String location, String stackTrace, String exception) {
    _channel.invokeMethod(
        'buildCrashIssue', [lineNumber, location, stackTrace, exception]);
  }

  static void buildException(
      String lineNumber, String location, String stackTrace, String exception) {
    _channel.invokeMethod(
        'buildException', [lineNumber, location, stackTrace, exception]);
  }

  static void flutterMainIsolatePush(String location) {
    _channel.invokeMethod('flutterMainIsolatePush', [location]);
  }

  static Future<int> getSdkInt() async {
    return await _channel.invokeMethod('getSdkInt');
  }

  static void logMe() {
    _channel.invokeMethod('log');
  }
}
