import 'dart:async';

import 'package:finotescore/src/platform_interface.dart';
import 'package:finotescore/src/utils.dart';
import 'package:finotescore/src/activity_trail.dart';

class ThreadBlockDetector {
  static ThreadBlockDetector? _instance;
  static const int timerTime = 500;

  ThreadBlockDetector._() {
    Timer.periodic(const Duration(milliseconds: timerTime), (Timer t) {
      String? location = ActivityTrail().getCurrentLocation() ?? Utils.Fn;
      PlatformInterface.flutterMainIsolatePush(location);
    });
  }

  factory ThreadBlockDetector() {
    //Test singleton property
    _instance ??= ThreadBlockDetector._();
    return _instance!;
  }
}
