import 'package:finotescore/src/activity_trail.dart';
import 'package:flutter/material.dart' as s;

/// Custom class to replace 'State' class. Helps Finotes plugin to track and record lifecycle events.
abstract class FnState<T extends s.StatefulWidget> extends s.State<T> {
  @override
  void initState() {
    super.initState();
    ActivityTrail().addMarker(context.widget.toString(), context.toString());
  }

  @override
  @s.mustCallSuper
  s.Widget build(s.BuildContext context) {
    ActivityTrail()
        .addMarker(context.widget.toString(), "buid ${context.toString()}");
    return context.widget;
  }
}
